ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew Onischuk (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMBARI-4212) Ambari should handle available JDK 6 vs 7 correctly
Date Thu, 02 Jan 2014 17:47:56 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-4212?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Andrew Onischuk updated AMBARI-4212:
------------------------------------

    Description: 
Ambari supports JDK 1.6 and 1.7, as well as using an existing/custom JDK (already installed
by user).

Ambari should handle setup of JDK more cleanly, which also includes matching JCE setup version
with JDK version.

The following document describes adjusts to ambari-server setup to make JDK selection more
clear, handle matching JCE with JDK version, and handle ambari-server JDK change post install.

https://docs.google.com/a/hortonworks.com/document/d/1g1VOQOuK6NLwK1vc1ScyfcKgOwx6p6CSpJw49ObGqTk/edit


  was:
Ambari supports JDK 1.6 and 1.7, as well as using an existing/custom JDK (already installed
by user).

Ambari should handle setup of JDK more cleanly, which also includes matching JCE setup version
with JDK version.

The following document describes adjusts to ambari-server setup to make JDK selection more
clear, handle matching JCE with JDK version, and handle ambari-server JDK change post install.

[~mahadev] to review

https://docs.google.com/a/hortonworks.com/document/d/1g1VOQOuK6NLwK1vc1ScyfcKgOwx6p6CSpJw49ObGqTk/edit



> Ambari should handle available JDK 6 vs 7 correctly
> ---------------------------------------------------
>
>                 Key: AMBARI-4212
>                 URL: https://issues.apache.org/jira/browse/AMBARI-4212
>             Project: Ambari
>          Issue Type: Bug
>            Reporter: Andrew Onischuk
>            Assignee: Vitaly Brodetskyi
>             Fix For: 1.5.0
>
>         Attachments: AMBARI-4212.patch
>
>
> Ambari supports JDK 1.6 and 1.7, as well as using an existing/custom JDK (already installed
by user).
> Ambari should handle setup of JDK more cleanly, which also includes matching JCE setup
version with JDK version.
> The following document describes adjusts to ambari-server setup to make JDK selection
more clear, handle matching JCE with JDK version, and handle ambari-server JDK change post
install.
> https://docs.google.com/a/hortonworks.com/document/d/1g1VOQOuK6NLwK1vc1ScyfcKgOwx6p6CSpJw49ObGqTk/edit



--
This message was sent by Atlassian JIRA
(v6.1.5#6160)

Mime
View raw message